Results 1 to 9 of 9

Thread: YaST fails to start after upgrade to 13.1

  1. #1
    Join Date
    Sep 2013
    Location
    Norfolk, UK
    Posts
    1,297

    Default YaST fails to start after upgrade to 13.1

    Would appreciate any suggestions on this one...

    After upgrading openSUSE from 12.3 => 13.1 YaST fails to start, both from the GUI and command line.

    When started from the command line this is the YaST 'error' message.

    Code:
    Orion-1:/ # yast
    /sbin/yast: line 34: .: /usr/lib/YaST2/bin/yast2-funcs: cannot execute binary file
    /sbin/yast: line 256: set_lang_from_sysconfig: command not found
    /sbin/yast: line 285: check_ncurses: command not found
    package yast2-ncurses is not installed
    package yast2-qt is not installed
    package yast2-gtk is not installed
    Something is wrong with the YaST user interface.

    The claimed missing packages are installed.

    Code:
    'yast2-funcs' in '/usr/lib/YaST2/bin/' and has the x bit set.
    
    'libyui-ncurses5' providing 'yast2-ncurses' is already installed.
    'libyui-qt5' providing 'yast2-qt' is already installed.
    'libyui-gtk5' providing 'yast2-gtk' is already installed.

    The upgrade apparently went smoothly with no obvious errors, it was performed using 'zypper dup' with the following repos enabled.

    Code:
    Orion-1:/ # zypper lr
    # | Alias               | Name                         | Enabled | Refresh
    --+---------------------+------------------------------+---------+--------
    1 | VideoLan            | VideoLan                     | No      | No     
    2 | nvidia              | nVidia Graphics Drivers      | No      | No   
    3 | repo-non-oss        | openSUSE-13.1-Non-Oss        | Yes     | No     
    4 | repo-oss            | openSUSE-13.1-Oss            | Yes     | No     
    5 | repo-update         | openSUSE-13.1-Update         | Yes     | No     
    6 | repo-update-non-oss | openSUSE-13.1-Update-Non-Oss | Yes     | No

    Zypper reports dependencies OK and no further updates.

    Code:
    Orion-1:/ # zypper verify
    Loading repository data...
    Reading installed packages...
    Dependencies of all installed packages are satisfied.
    
    Orion-1:/ # zypper lu
    Loading repository data...
    Reading installed packages...
    No updates found.

    I have tried reinstalling YaST; deleting the contents of /tmp and /var/tmp; trying with a new user. None of which helped...

    Possibly relevant ?? - Previously I had the OBS KDE:Upstream repos enabled and KDE version 4.11.4 installed, 'zypper dup' downgraded KDE to 4.11.3
    Regards, Paul

    2x Tumbleweed (Snapshot: 20191109) KDE Plasma 5
    2x Leap 15.1 KDE Plasma 5

  2. #2

    Default AW: YaST fails to start after upgrade to 13.1

    Quote Originally Posted by tannington View Post
    Code:
    Orion-1:/ # yast
    /sbin/yast: line 34: .: /usr/lib/YaST2/bin/yast2-funcs: cannot execute binary file
    /sbin/yast: line 256: set_lang_from_sysconfig: command not found
    /sbin/yast: line 285: check_ncurses: command not found
    package yast2-ncurses is not installed
    package yast2-qt is not installed
    package yast2-gtk is not installed
    Something is wrong with the YaST user interface.
    The further error messages about "command not found" and "xxx is not installed" are a consequence of the first one, because yast2-funcs contains the functions set_lang_from_sysconfig and check_ncurses and so on, which check if yast2-ncurses and so on are installed.

    yast2-funcs should be a _text_ file, no binary.
    Maybe it got corrupted somehow?

    Does this give errors?
    Code:
    rpm -V yast2
    Maybe try to reinstall that package:
    Code:
    sudo zypper in -f yast2

  3. #3
    Join Date
    Sep 2013
    Location
    Norfolk, UK
    Posts
    1,297

    Default Re: AW: YaST fails to start after upgrade to 13.1

    Quote Originally Posted by wolfi323 View Post
    The further error messages about "command not found" and "xxx is not installed" are a consequence of the first one, because yast2-funcs contains the functions set_lang_from_sysconfig and check_ncurses and so on, which check if yast2-ncurses and so on are installed.

    yast2-funcs should be a _text_ file, no binary.
    Maybe it got corrupted somehow?

    Does this give errors?
    Code:
    rpm -V yast2
    Maybe try to reinstall that package:
    Code:
    sudo zypper in -f yast2
    Thanks wolfi323,

    'rpm -V yast2' simply returns the command prompt...

    Reinstalling 'yast2' resulted in partial success - YaST now starts, but with no images displayed, as seen here : SUSE Paste

    Although nothing else (yet) appears untoward, I'm of the opinion that a fresh install may be the better option.
    Regards, Paul

    2x Tumbleweed (Snapshot: 20191109) KDE Plasma 5
    2x Leap 15.1 KDE Plasma 5

  4. #4

    Default Re: YaST fails to start after upgrade to 13.1

    Quote Originally Posted by tannington View Post
    'rpm -V yast2' simply returns the command prompt...
    That would mean that all files are unchanged to the versions in the package.

    Strange, especially because of...
    Reinstalling 'yast2' resulted in partial success - YaST now starts, but with no images displayed, as seen here : SUSE Paste
    The icons are in yast2-theme-openSUSE-Oxygen, so reinstall that as well:
    Code:
    sudo zypper in -f yast2-theme-openSUSE-Oxygen
    As a try, I uninstalled that package on my system, and YaST looked exactly like on your screenshot...

    Although nothing else (yet) appears untoward, I'm of the opinion that a fresh install may be the better option.
    Well, such things shouldn't happen just like that.
    Maybe there's something wrong with your filesystem or even the hard disk?
    Better check "dmesg" if there are errors in there.

  5. #5
    Join Date
    Feb 2009
    Location
    Spain
    Posts
    25,547

    Default Re: YaST fails to start after upgrade to 13.1

    On 2013-12-23 15:36, tannington wrote:
    > Although nothing else (yet) appears untoward, I'm of the opinion that a
    > fresh install may be the better option.


    How exactly did you upgrade?

    --
    Cheers / Saludos,

    Carlos E. R.
    (from 13.1 x86_64 "Bottle" (Elessar))

  6. #6
    Join Date
    Sep 2013
    Location
    Norfolk, UK
    Posts
    1,297

    Default Re: YaST fails to start after upgrade to 13.1

    @wolfi323

    Quote Originally Posted by wolfi323 View Post
    The icons are in yast2-theme-openSUSE-Oxygen, so reinstall that as well:
    Icons restored - excellent.

    Well, such things shouldn't happen just like that.
    Maybe there's something wrong with your filesystem or even the hard disk?
    Better check "dmesg" if there are errors in there.
    Only HD related errors in dmesg is a long standing one, "ata1: applying PMP SRST workaround and retrying", which is a known problem with the AMD SB600 controller on this PC. Only happens when the SATA link is first brought up, adds around 200ms to the boot time.

    Provided I don't find any further oddities I'll leave the upgrade as it is.



    @robin_listas

    Quote Originally Posted by robin_listas View Post
    How exactly did you upgrade?
    zypper dup - details are in the first post.

    Looking OK so far now. I'll see how it goes over the next few days. This isn't a PC I can 'play' with, it's has to earn it keep...



    @both

    Thanks guys - kudos to you
    Regards, Paul

    2x Tumbleweed (Snapshot: 20191109) KDE Plasma 5
    2x Leap 15.1 KDE Plasma 5

  7. #7
    Join Date
    Feb 2009
    Location
    Spain
    Posts
    25,547

    Default Re: YaST fails to start after upgrade to 13.1

    On 2013-12-23 17:06, tannington wrote:

    > @robin_listas
    >
    > robin_listas;2610872 Wrote:
    >>
    >> How exactly did you upgrade?
    >>

    >
    > zypper dup - details are in the first post.


    Oh. I see it now.

    As you did not post the URLs, do a "zypper lr --details" yourself (no need to post here) and verify
    they all point to 13.1.

    Question: why do you set "Refresh" to no? With that setting, you need to manually run "zypper ref"
    at the start of each zypper session.

    --
    Cheers / Saludos,

    Carlos E. R.
    (from 13.1 x86_64 "Bottle" (Elessar))

  8. #8
    Join Date
    Sep 2013
    Location
    Norfolk, UK
    Posts
    1,297

    Default Re: YaST fails to start after upgrade to 13.1

    Quote Originally Posted by robin_listas View Post
    As you did not post the URLs, do a "zypper lr --details" yourself (no need to post here) and verify
    they all point to 13.1.
    Just rechecked... Yes, all point to the 13.1 repos.

    Question: why do you set "Refresh" to no? With that setting, you need to manually run "zypper ref"
    at the start of each zypper session.
    I set no-refresh whilst trying to figure out what was wrong. Now all appears to be OK, I've added KDE:Extra and set all to auto-refresh.


    Now all I need to do is try to find out why logout/shutdown has gone from approx 5-8 sec (12.3) to 50-55 sec. But that's for after Christmas...

    Cheers - Have a good one.
    Regards, Paul

    2x Tumbleweed (Snapshot: 20191109) KDE Plasma 5
    2x Leap 15.1 KDE Plasma 5

  9. #9

    Default Re: YaST fails to start after upgrade to 13.1

    Quote Originally Posted by tannington View Post
    Would appreciate any suggestions on this one...

    After upgrading openSUSE from 12.3 => 13.1 YaST fails to start, both from the GUI and command line.

    When started from the command line this is the YaST 'error' message.

    Code:
    ...
    package yast2-ncurses is not installed
    ...
    I was having Same Problem.
    I installed these packages and can once again run yast form terminal, console, command line, tty session, non-xwindows
    Code:
    libyui-ncurses5
    libyui-ncurses-pkg5
    libncurses5
    yast2-dbus-server
    hope it helps.
    Reed.

Posting Permissions

  • You may not post new threads
  • You may not post replies
  • You may not post attachments
  • You may not edit your posts
  •